png++: png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl > Class Template Reference

png++ 0.2.10

Public Member Functions | Protected Attributes | List of all members
png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl > Class Template Reference

A common base class template for pixel_consumer and pixel_generator classes. More...

`#include <image.hpp>`

Inheritance diagram for png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >:

## Public Member Functions
| streaming_impl (image_info &info, pixbuf &pixels)
byte * | get_next_row (size_t pos)
| Returns the starting address of a `pos-th` row in the image's pixel buffer.

## Protected Attributes
pixbuf & | m_pixbuf

## Detailed Description

template<typename pixel, typename pixel_buffer_type = pixel_buffer< pixel >>
template<typename base_impl>
class png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >

A common base class template for pixel_consumer and pixel_generator classes.

## Constructor & Destructor Documentation

## ◆ streaming_impl()

template<typename pixel , typename pixel_buffer_type = pixel_buffer< pixel >>
template<typename base_impl >

png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >::streaming_impl | ( | image_info & | info,
|  | pixbuf & | pixels )
| inline

## Member Function Documentation

## ◆ get_next_row()

template<typename pixel , typename pixel_buffer_type = pixel_buffer< pixel >>
template<typename base_impl >

byte * png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >::get_next_row | ( | size_t | pos | ) |
| inline

Returns the starting address of a `pos-th` row in the image's pixel buffer.

References png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >::m_pixbuf.

## Member Data Documentation

## ◆ m_pixbuf

template<typename pixel , typename pixel_buffer_type = pixel_buffer< pixel >>
template<typename base_impl >

pixbuf& png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >::m_pixbuf
| protected

Referenced by png::image< pixel, pixel_buffer_type >::streaming_impl< base_impl >::get_next_row().

The documentation for this class was generated from the following file:

- image.hpp